{ config
, pkgs
, ... }:

let
  passwords = import ../../../variables/passwords.crypt.nix;
  keys = import ../../../variables/keys.nix;
  inherit (import ../../lib/default.nix { }) mkUser;

in {
  users.extraUsers.sjunker = mkUser {
    uid = 1001;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    shell = pkgs.posh { image = "quay.io/enarx/fedora"; run_args = "-v /dev/sgx:/dev/sgx"; };

    subUidRanges = [{ startUid = 100000; count = 100000; }];
    subGidRanges = [{ startGid = 100000; count = 100000; }];
  };
}
